# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDoubleValidator Class Reference

A locale-aware QDoubleValidator. More...

`#include <knumvalidator.h>`

Inheritance diagram for KDoubleValidator:

[legend]
Collaboration diagram for KDoubleValidator:

[legend]
List of all members.

## Public Member Functions

| KDoubleValidator (QObject *parent, const char *name=0)
| KDoubleValidator (double bottom, double top, int decimals, QObject *parent, const char *name=0)
virtual | ~KDoubleValidator ()
virtual QValidator::State | validate (QString &input, int &pos) const
bool | acceptLocalizedNumbers () const
void | setAcceptLocalizedNumbers (bool accept)

## Properties

bool | acceptLocalizedNumbers

## Detailed Description

A locale-aware QDoubleValidator.

KDoubleValidator extends QDoubleValidator to be locale-aware. That means that - subject to not being disabled - KLocale::decimalPoint(), KLocale::thousandsSeparator() and KLocale::positiveSign() and KLocale::negativeSign() are respected.

Author:
  Marc Mutz <mutz@kde.org>

See also:
  KIntValidator

Since:
  3.1

Definition at line 181 of file knumvalidator.h.

## Constructor & Destructor Documentation

KDoubleValidator::KDoubleValidator | ( | QObject * | parent,
|  | const char * | name = `0`
| ) |

| Constuct a locale-aware KDoubleValidator with default range (whatever QDoubleValidator uses for that) and parent `parent`. Definition at line 300 of file knumvalidator.cpp.

KDoubleValidator::KDoubleValidator | ( | double | bottom,
|  | double | top,
|  | int | decimals,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |

| Constuct a locale-aware KDoubleValidator for range [`bottom`,`top`] and a precision of `decimals` decimals after the decimal point. Definition at line 306 of file knumvalidator.cpp.

KDoubleValidator::~KDoubleValidator | ( |  | ) | `[virtual]`

| Destructs the validator. Definition at line 313 of file knumvalidator.cpp.

## Member Function Documentation

QValidator::State KDoubleValidator::validate | ( | QString & | input,
|  | int & | pos
| ) | const`[virtual]`

Overloaded for internal reasons.

The API is not affected.

Reimplemented from QDoubleValidator.

Definition at line 326 of file knumvalidator.cpp.

References acceptLocalizedNumbers(), KLocale::decimalSymbol(), endl(), QString::find(), QString::isEmpty(), kdWarning(), QString::length(), KGlobal::locale(), KLocale::negativeSign(), KLocale::positiveSign(), QString::remove(), QString::replace(), and KLocale::thousandsSeparator().

bool KDoubleValidator::acceptLocalizedNumbers | ( |  | ) | const

Returns:
  whether localized numbers are accepted (default: true)

Referenced by validate().

void KDoubleValidator::setAcceptLocalizedNumbers | ( | bool | accept | ) |

| Sets whether to accept localized numbers (default: true). Definition at line 322 of file knumvalidator.cpp.

The documentation for this class was generated from the following files:

- knumvalidator.h
- knumvalidator.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:10 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003